util.programkeyevent

## Class ProgramKeyEventHandler

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - util.programkeyevent.ProgramKeyEventHandler

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.util.EventListener

      public class ProgramKeyEventHandler
      extends java.awt.event.KeyAdapter

  A class that handles keyboard interactions on programs. Use this in your Plugin if you want to react to keyboard events like the program table.

  Since:
    3.3.1
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LEFT_DOUBLE_KEY`
    `static int` | `LEFT_SINGLE_KEY`
    `static int` | `MIDDLE_DOUBLE_KEY`
    `static int` | `MIDDLE_SINGLE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramKeyEventHandler(ProgramKeyAndContextMenuListener listener, ContextMenuIf owner)` Create a new instance of this class to handle mouse events on programs.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyPressed(java.awt.event.KeyEvent e)`

    - ### Methods inherited from class java.awt.event.KeyAdapter

      `keyReleased, keyTyped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEFT_SINGLE_KEY

          public static final int LEFT_SINGLE_KEY

      See Also:
        Constant Field Values

    - #### LEFT_DOUBLE_KEY

          public static final int LEFT_DOUBLE_KEY

      See Also:
        Constant Field Values

    - #### MIDDLE_SINGLE_KEY

          public static final int MIDDLE_SINGLE_KEY

      See Also:
        Constant Field Values

    - #### MIDDLE_DOUBLE_KEY

          public static final int MIDDLE_DOUBLE_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgramKeyEventHandler

          public ProgramKeyEventHandler(ProgramKeyAndContextMenuListener listener,
                                ContextMenuIf owner)

      Create a new instance of this class to handle mouse events on programs.

      Parameters:
        `listener` - The listener to react to.
        `owner` - The ContextMenuIf that wants to react on mouse events.

  - ### Method Detail

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent e)

      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`
      Overrides:
        `keyPressed` in class `java.awt.event.KeyAdapter`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)